## ros-kinetic-homer-nav-libs 0.1.53

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(homer_nav_libs)

set(CMAKE_BUILD_TYPE Release)

find_package(catkin REQUIRED COMPONENTS
  roscpp
  geometry_msgs
  sensor_msgs
  nav_msgs
  tf
  cmake_modules
)

find_package(Eigen3 REQUIRED)

# eigen 3.2 (wily) only provdies EIGEN3_INCLUDE_DIR, not EIGEN3_INCLUDE_DIRS
if(NOT EIGEN3_INCLUDE_DIRS)
  set(EIGEN3_INCLUDE_DIRS ${EIGEN3_INCLUDE_DIR})
endif()

catkin_package(
	INCLUDE_DIRS include
	LIBRARIES homerExplorer homerMappingMath
	CATKIN_DEPENDS  roscpp geometry_msgs tf sensor_msgs nav_msgs
)


include_directories(
  include
  ${catkin_INCLUDE_DIRS}
  ${EIGEN3_INCLUDE_DIRS}
)

add_library(homerExplorer src/Explorer/Explorer.cpp)
add_library(homerMappingMath
	src/Math/Line2D.cpp
	src/Math/Transformation2D.cpp
	src/Math/Pose.cpp
	src/Math/Math.cpp
	src/Math/Point2D.cpp
)

install(DIRECTORY include/${PROJECT_NAME}/
	DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

install(TARGETS homerExplorer homerMappingMath
	ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
	LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
	RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== src/SpeedControl/CMakeLists.txt ===
set(SpeedControl_SRC
  SpeedControl.cpp
)

add_library(SpeedControl ${SpeedControl_SRC})

=== debian/changelog ===
ros-kinetic-homer-nav-libs (0.1.53-0xenial) xenial; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Florian Polster <fpolster@uni-koblenz.de>  Thu, 17 Jan 2019 15:00:04 -0000

ros-kinetic-homer-nav-libs (0.1.41-0xenial) xenial; urgency=high



 -- Florian Polster <fpolster@uni-koblenz.de>  Tue, 10 Apr 2018 22:00:00 -0000

ros-kinetic-homer-nav-libs (0.1.40-0xenial) xenial; urgency=high



 -- Florian Polster <fpolster@uni-koblenz.de>  Tue, 10 Apr 2018 22:00:00 -0000

ros-kinetic-homer-nav-libs (0.1.39-0xenial) xenial; urgency=high



 -- Florian Polster <fpolster@uni-koblenz.de>  Mon, 13 Nov 2017 23:00:00 -0000

ros-kinetic-homer-nav-libs (0.1.38-0xenial) xenial; urgency=high



 -- Florian Polster <fpolster@uni-koblenz.de>  Sun, 12 Nov 2017 23:00:00 -0000

ros-kinetic-homer-nav-libs (0.1.37-0xenial) xenial; urgency=high

  * Merge branch 'master' of gitlab.uni-koblenz.de:robbie/homer_mapping
  * Contributors: Raphael Memmesheimer

 -- Florian Polster <fpolster@uni-koblenz.de>  Tue, 07 Nov 2017 23:00:00 -0000

ros-kinetic-homer-nav-libs (0.1.21-0xenial) xenial; urgency=high

  * autoformat
  * Contributors: Niklas Yann Wettengel

 -- Florian Polster <fpolster@uni-koblenz.de>  Mon, 20 Mar 2017 23:00:00 -0000

ros-kinetic-homer-nav-libs (0.1.19-0xenial) xenial; urgency=high



 -- Florian Polster <fpolster@uni-koblenz.de>  Wed, 01 Mar 2017 23:00:00 -0000

ros-kinetic-homer-nav-libs (0.1.18-0xenial) xenial; urgency=high



 -- Florian Polster <fpolster@uni-koblenz.de>  Mon, 27 Feb 2017 23:00:00 -0000

ros-kinetic-homer-nav-libs (0.1.17-0xenial) xenial; urgency=high

  * Eigen3 INCLUDE_DIR fix
  * Contributors: Niklas Yann Wettengel

 -- Florian Polster <fpolster@uni-koblenz.de>  Sat, 25 Feb 2017 23:00:00 -0000

ros-kinetic-homer-nav-libs (0.1.16-0xenial) xenial; urgency=high

  * changed maintainer
  * Contributors: Raphael Memmesheimer

 -- Florian Polster <fpolster@uni-koblenz.de>  Wed, 22 Feb 2017 23:00:00 -0000

ros-kinetic-homer-nav-libs (0.1.15-0xenial) xenial; urgency=high

  * map_manager without laser scans
  * Contributors: Lisa

 -- Florian Polster <fpolster@uni-koblenz.de>  Wed, 15 Feb 2017 23:00:00 -0000

ros-kinetic-homer-nav-libs (0.1.14-0xenial) xenial; urgency=high



 -- Florian Polster <fpolster@uni-koblenz.de>  Thu, 09 Feb 2017 23:00:00 -0000

ros-kinetic-homer-nav-libs (0.1.13-0xenial) xenial; urgency=high

  * now bugfix?
  * best changelog ever
  * dependency fix
  * Contributors: Florian Polster
  * dependency fix
  * Contributors: Florian Polster

 -- Florian Polster <fpolster@uni-koblenz.de>  Thu, 09 Feb 2017 23:00:00 -0000

ros-kinetic-homer-nav-libs (0.1.12-0xenial) xenial; urgency=high

  * usage of nav_msgs
  * Contributors: Florian Polster

 -- Florian Polster <fpolster@uni-koblenz.de>  Wed, 08 Feb 2017 23:00:00 -0000

ros-kinetic-homer-nav-libs (0.1.11-0xenial) xenial; urgency=high

  * cool changelogs
  * Contributors: Lisa

 -- Florian Polster <fpolster@uni-koblenz.de>  Wed, 18 Jan 2017 23:00:00 -0000

ros-kinetic-homer-nav-libs (0.1.10-0xenial) xenial; urgency=high

  * added support for not quadratic maps
  * Contributors: Lisa

 -- Florian Polster <fpolster@uni-koblenz.de>  Wed, 07 Dec 2016 23:00:00 -0000

ros-kinetic-homer-nav-libs (0.1.9-0xenial) xenial; urgency=high



 -- Florian Polster <fpolster@uni-koblenz.de>  Tue, 22 Nov 2016 23:00:00 -0000

ros-kinetic-homer-nav-libs (0.1.8-0xenial) xenial; urgency=high



 -- Florian Polster <fpolster@uni-koblenz.de>  Sun, 20 Nov 2016 23:00:00 -0000

ros-kinetic-homer-nav-libs (0.1.7-0xenial) xenial; urgency=high



 -- Florian Polster <fpolster@uni-koblenz.de>  Wed, 16 Nov 2016 23:00:00 -0000

ros-kinetic-homer-nav-libs (0.1.6-0xenial) xenial; urgency=high



 -- Florian Polster <fpolster@uni-koblenz.de>  Thu, 03 Nov 2016 23:00:00 -0000

ros-kinetic-homer-nav-libs (0.1.5-0xenial) xenial; urgency=high



 -- Florian Polster <fpolster@uni-koblenz.de>  Thu, 03 Nov 2016 23:00:00 -0000

ros-kinetic-homer-nav-libs (0.1.4-0xenial) xenial; urgency=high

  * updated changelog
  * Contributors: Niklas Yann Wettengel

 -- Florian Polster <fpolster@uni-koblenz.de>  Wed, 02 Nov 2016 23:00:00 -0000

ros-kinetic-homer-nav-libs (0.1.3-0xenial) xenial; urgency=high

  * more fixes
  * Contributors: Niklas Yann Wettengel

 -- Florian Polster <fpolster@uni-koblenz.de>  Wed, 02 Nov 2016 23:00:00 -0000

ros-kinetic-homer-nav-libs (0.1.2-0xenial) xenial; urgency=high



 -- Florian Polster <fpolster@uni-koblenz.de>  Wed, 02 Nov 2016 23:00:00 -0000

ros-kinetic-homer-nav-libs (0.1.1-0xenial) xenial; urgency=high

  * fixes
  * initial commit
  * Contributors: Niklas Yann Wettengel

 -- Florian Polster <fpolster@uni-koblenz.de>  Wed, 02 Nov 2016 23:00:00 -0000

=== debian/control ===
Source: ros-kinetic-homer-nav-libs
Section: misc
Priority: extra
Maintainer: Florian Polster <fpolster@uni-koblenz.de>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-kinetic-catkin, ros-kinetic-cmake-modules, ros-kinetic-geometry-msgs, ros-kinetic-nav-msgs, ros-kinetic-roscpp, ros-kinetic-sensor-msgs, ros-kinetic-tf
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-homer-nav-libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, ros-kinetic-geometry-msgs, ros-kinetic-nav-msgs, ros-kinetic-roscpp, ros-kinetic-sensor-msgs, ros-kinetic-tf
Description: The nav_libs package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-homer-nav-libs//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
